import _common

class AAGameLog(object):

    def __init__(self):
        self.apis = [
            {
                'method': 'POST',
                'name': 'customReport',
                'desc': '上报自定义日志(httpbody自定义)',
                'group': '!AAGameLog',
                'url': 'https://gamelog-test.kingsome.cn/webapp/index.php?c=GameLog&a=customReport',
                'is_json_params': True,
                'request_params': [
                    _common.ReqHead(),
                    ['gameid', '', '游戏id'],
                    ['channel', '', '渠道编号'],
                    ['event_name', '', '事件名'],
                    ['account_id', '', '[可选]账号id(web端不要传该字段)'],
                    ['session_id', '', '[可选]会话id(web端不要传该字段)'],
                    ['localuuid', '', '本地唯一Id'],
                ],
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
        ]
