import _common

class AAGameMail(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'getMailList',
                'desc': '获取我的邮件列表',
                'group': '!AAGameMail',
                'url': 'https://gamemail-test.kingsome.cn/webapp/index.php?c=Mail&a=getMailList',
                'params': [
                    _common.ReqHead(),
                    ['account_id', '', '账号id'],
                    ['session_id', '', '会话id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!maillist', [_common.MFGameMail()], '邮件列表'],
                ]
            },
            {
                'name': 'markMail',
                'desc': '设置邮件标记',
                'group': '!AAGameMail',
                'url': 'https://gamemail-test.kingsome.cn/webapp/index.php?c=Mail&a=markMail',
                'params': [
                    _common.ReqHead(),
                    ['account_id', '', '账号id'],
                    ['session_id', '', '会话id'],
                    ['mail_ids', '', '邮件id列表以","分割'],
                    ['flag', '', '标志位 read:已读'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'getAttachment',
                'desc': '领取邮件附件(注意：领取邮件附件后邮件自动删除)',
                'group': '!AAGameMail',
                'url': 'https://gamemail-test.kingsome.cn/webapp/index.php?c=Mail&a=getAttachment',
                'params': [
                    _common.ReqHead(),
                    ['account_id', '', '账号id'],
                    ['session_id', '', '会话id'],
                    ['mail_ids', '', '邮件id列表以","分割'],
                ],
                'response': [
                    _common.RspHead(),
                    ['award', _common.Award(), '奖励信息'],
                ]
            },
            {
                'name': 'deleteMails',
                'desc': '删除邮件',
                'group': '!AAGameMail',
                'url': 'https://gamemail-test.kingsome.cn/webapp/index.php?c=Mail&a=deleteMails',
                'params': [
                    _common.ReqHead(),
                    ['account_id', '', '账号id'],
                    ['session_id', '', '会话id'],
                    ['mail_ids', '', '邮件id列表以","分割'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
        ]
