# -*- coding: utf-8 -*-

import _common

class ChipPage(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'showChipPage',
                'desc': '铭文信息',
                'group': 'ChipPage',
                'url': 'webapp/index.php?c=ChipPage&a=showChipPage',
                'params': [
                    _common.ReqHead(),
                    ['hero_unnid', '', '英雄唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.ChipPage()], '页信息']
                ]
            },{
                'name': 'unlockSlot',
                'desc': '解锁卡槽',
                'group': 'ChipPage',
                'url': 'webapp/index.php?c=ChipPage&a=unlockSlot',
                'params': [
                    _common.ReqHead(),
                    ['hero_unnid', '', '英雄唯一id'],
                    ['slot_id', '', '卡槽id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '信息变更']
                ]
            },{
                'name': 'useChip',
                'desc': '使用芯片(镶嵌)',
                'group': 'ChipPage',
                'url': 'webapp/index.php?c=ChipPage&a=useChip',
                'params': [
                    _common.ReqHead(),
                    ['hero_unnid', '', '英雄唯一id'],
                    ['slot_id', '', '卡槽id'],
                    ['chip_unnid', '', '芯片唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.ChipPage()], '页信息']
                ]
            },{
                'name': 'removeChip',
                'desc': '芯片移除',
                'group': 'ChipPage',
                'url': 'webapp/index.php?c=ChipPage&a=removeChip',
                'params': [
                    _common.ReqHead(),
                    ['hero_unnid', '', '英雄唯一id'],
                    ['slot_id', '', '卡槽id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.ChipPage()], '页信息'],
                    ['property_chg', _common.PropertyChg(), '信息变更']
                ]
            },
        ]
