# -*- coding: utf-8 -*-

import _common

class Sign(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'getSignList',
                'desc': '7日签到',
                'group': 'Sign',
                'url': 'webapp/index.php?c=Sign&a=getSignList',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['data', _common.Sign(), '签到信息'],
                ]
            },
            {
                'name': 'receiveS',
                'desc': '领取签到奖励',
                'group': 'Sign',
                'surl': 'webapp/index.php?c=Sign&a=receiveS',
                'params': [
                    _common.ReqHead(),
                    ['sign_id', '', '签到id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },
        ]
