begin;

DROP TABLE IF EXISTS `t_hero_skin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_hero_skin` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'account_id',
  `skin_id` int(11) NOT NULL DEFAULT '0' COMMENT '英雄皮肤id',
  `hero_uniid` int(11) NOT NULL DEFAULT '0' COMMENT '英雄uniid',
  `skin_state` int(11) NOT NULL DEFAULT '0' COMMENT '英雄皮肤状态 0=封装，1=解封',
  `used` int(11) NOT NULL DEFAULT '0' COMMENT '使用状态 0=未使用，1=使用中',
  `get_from` int(11) NOT NULL DEFAULT '0' COMMENT '获得方式 0 = 系统赠送 1 = 金币购买',
  `consume_num` int(11) NOT NULL DEFAULT '0' COMMENT '消耗货币的具体数量',
  `try_expire_at` int(11) NOT NULL DEFAULT '0' COMMENT '试用截止时间',
  `rand_attr` mediumblob COMMENT '随机属性',
  `wealth_attr` mediumblob COMMENT '财富值属性',
  `is_old` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:展示红点 1:不用展示 ',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

insert into version (version) values(2024052101);

commit;
