begin;

CREATE TABLE `t_circuit_reward` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `address` varchar(60) CHARACTER SET utf8 COMMENT 'address',
  `season` int(11) NOT NULL DEFAULT '0' COMMENT '赛季',
  `stage` int(11) NOT NULL DEFAULT '0' COMMENT '阶段',
  `ranking`  int(11) NOT NULL DEFAULT '0' COMMENT '排名',
  `reward_num`  int(11) NOT NULL DEFAULT '0' COMMENT '奖励',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_season_stage` (`account_id`, `season`, `stage`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

insert into version (version) values(2024091501);

commit;
