<?php


namespace models;

use mt;
use phpcommon\SqlHelper;
class DiamondConsumeProduct extends BaseModel
{
    const CONSUME_TYPE = 0; //消耗
    const PRODUCT_TYPE = 1; //产出


    public static function addConsumeRecord($amount){
        SqlHelper::insert
        (myself()->_getSelfMysql(),
            't_diamond_consume_product',
            array(
                'account_id' => myself()->_getAccountId(),
                'passport_address' => myself()->_getAddress(),
                'type' => self::CONSUME_TYPE,
                'amount' => $amount,
                'source' => 0,
                'createtime' => myself()->_getNowTime(),
                'modifytime' => myself()->_getNowTime(),

            )
        );
    }

    public static function addProductRecord($amount){
        SqlHelper::insert
        (myself()->_getSelfMysql(),
            't_diamond_consume_product',
            array(
                'account_id' => myself()->_getAccountId(),
                'passport_address' => myself()->_getAddress(),
                'type' => self::PRODUCT_TYPE,
                'amount' => $amount,
                'source' => 0,
                'createtime' => myself()->_getNowTime(),
                'modifytime' => myself()->_getNowTime(),

            )
        );
    }

}