<?php
namespace mt;

use phpcommon;

class ServerTask {
    const TOTAL_BATTLE_TIMES_COND = 1; //完成游戏场次
    const TOTAL_KILL_NUM_COND = 2; //累计击败
    const TOTAL_DAMGE_OUT_COND = 3; //累计伤害
    const TOTAL_USE_SKILL_TIMES_COND = 4; //累计使用技能


    const MOBA_TYPE = 1;
    const PVP_TYPE = 2;

    const NOT_ACCOMPLISH_STATE = 0;
    const ACCOMPLISH_MOBA_STATE = 1;
    const ACCOMPLISH_PVP_STATE = 2;

    const NOT_DROP_STATE = 0;
    const MOBA_DROP_STATE = 1;
    const PVP_DROP_STATE = 2;

    public static function getCustomTypeMetaList($type)
    {
        $metaList = array();
        switch ($type){
            case self::MOBA_TYPE : {
                foreach (self::getMetaList() as $meta) {
                    if ($meta['type'] == self::MOBA_TYPE ) {
                        array_push($metaList, $meta);
                    }
                }
            }
            break;
            case self::PVP_TYPE : {
                foreach (self::getMetaList() as $meta) {
                    if ($meta['type'] == self::PVP_TYPE ) {
                        array_push($metaList, $meta);
                    }
                }
            }
            break;
        }
        return $metaList;
    }

    public static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('ServerTask@ServerTask.php');
        }
        return self::$metaList;
    }

    protected static $metaList;
}