<?php
namespace mt;

use phpcommon;

class ServerTaskTime {

    public static function getCurrentTime()
    {
        foreach (self::getMetaList() as $meta) {
            if (myself()->_getNowTime() >= strtotime($meta['obtain_start_time']) &&
                myself()->_getNowTime() <= strtotime($meta['income_end_time'])) {
                return $meta;
            }
        }
        return array();
    }

    protected static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('ServerTaskTime@ServerTasktime.php');
        }
        return self::$metaList;
    }

    protected static $metaList;
}