<?php


namespace services;
require_once('models/Emoji.php');

require_once('mt/Item.php');

use models\Emoji;
use mt\Item;
use phpcommon\SqlHelper;
class TimingPropService extends BaseService
{
    const EMOJI_SUB_TYPE = 1;
    public function handleProp($itemMeta){
        if ($itemMeta['type'] != Item::TIMING_PROP_TYPE){
            return;
        }
        switch ($itemMeta['sub_type']){
            case self::EMOJI_SUB_TYPE :{
                $emojiMeta = Item::get($itemMeta['relationship']);
                if ($emojiMeta['type'] == Item::EMOJI_TYPE){
                    Emoji::addEmoji($emojiMeta , $itemMeta['Item_duration']);
                }
            }
            break;
        }
    }
}