import _common

class AANft(object):

    def __init__(self):
        self.apis = [
            {
                'name': '/hero/home_meta/:net_id',
                'desc': '获取英雄nft元信息主页',
                'group': '!AANft',
                'url': 'https://nft-test.kingsome.cn/hero/home_meta/:net_id',
                'params': [
                    [':net_id', '', '链id'],
                ],
                'response': [
                    _common.NftHomeMeta(),
                ]
            },
            {
                'name': '/gold_bullion/home_meta/:net_id',
                'desc': '获取金砖nft元信息主页',
                'group': '!AANft',
                'url': 'https://nft-test.kingsome.cn/gold_bullion/home_meta/:net_id',
                'params': [
                    [':net_id', '', '链id'],
                ],
                'response': [
                    _common.NftHomeMeta(),
                ]
            },
            {
                'name': '/hero/meta/:net_id/:token_id',
                'desc': '获取英雄nft元信息',
                'group': '!AANft',
                'url': 'https://nft-test.kingsome.cn/hero/meta/:net_id/:token_id',
                'params': [
                    [':net_id', '', '链id'],
                    [':token_id', '', 'tokenId'],
                ],
                'response': [
                    _common.NftHeroMeta(),
                ]
            },
            {
                'name': '/gold_bullion/meta/:net_id/:token_id',
                'desc': '获取金砖nft元信息',
                'group': '!AANft',
                'url': 'https://nft-test.kingsome.cn/gold_bullion/meta/:net_id/:token_id',
                'params': [
                    [':net_id', '', '链id'],
                    [':token_id', '', 'tokenId'],
                ],
                'response': [
                    _common.NftHeroMeta(),
                ]
            },
            {
                'name': '/hero/detail/:net_id/:token_id',
                'desc': '获取英雄nft详细信息',
                'group': '!AANft',
                'url': 'https://nft-test.kingsome.cn/hero/detail/:net_id/:token_id',
                'params': [
                    [':net_id', '', '链id'],
                    [':token_id', '', 'tokenId'],
                ],
                'response': [
                    _common.NftInfo(),
                ]
            },
            {
                'name': '/gold_bullion/detail/:net_id/:token_id',
                'desc': '获取金砖nft详细信息',
                'group': '!AANft',
                'url': 'https://nft-test.kingsome.cn/gold_bullion/detail/:net_id/:token_id',
                'params': [
                    [':net_id', '', '链id'],
                    [':token_id', '', 'tokenId'],
                ],
                'response': [
                    _common.NftInfo(),
                ]
            }
        ]
