# -*- coding: utf-8 -*-

import _common

class ActivationCode(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'bindActivationCode',
                'desc': '绑定激活码',
                'group': 'ActivationCode',
                'url': 'webapp/index.php?c=ActivationCode&a=bindActivationCode',
                'params': [
                    _common.ReqHead(),
                    ['code', 0, '激活码']
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'getActivationCodeBindState',
                'desc': '激活码绑定状态',
                'group': 'ActivationCode',
                'url': 'webapp/index.php?c=ActivationCode&a=getActivationCodeBindState',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                     ['state', 0, '1:已激活 0:未激活']
                ]
            }
        ]


