# -*- coding: utf-8 -*-

import _common

class Fragment(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'showBaseByItemId',
                'desc': '查看item的基本信息',
                'group': 'Fragment',
                'url': 'webapp/index.php?c=Fragment&a=showBaseByItemId',
                'params': [
                    _common.ReqHead(),
                    ['item_id', '', '英雄或枪械的道具id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['data', [], '英雄或枪械的基本信息']
                ]
            },{
                'name': 'synHero',
                'desc': '英雄合成',
                'group': 'Fragment',
                'url': 'webapp/index.php?c=Fragment&a=synHero',
                'params': [
                    _common.ReqHead(),
                    ['item_id', '', 'item_id'],
                    ['item_num', '', 'item_num'],
                ],
                'response': [
                    _common.RspHead(),
                    ['item_id', 0, '英雄item_id'],
                    ['status', 0, '1:成功 0:失败'],
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },

        ]