# -*- coding: utf-8 -*-

import _common

class HashRateShop(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'getGoodsList',
                'desc': '获取商品列表',
                'group': 'HashRateShop',
                'url': 'webapp/index.php?c=HashRateShop&a=getGoodsList',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['!goods_list', [_common.HashRateGoods()], '商品列表'],
                ]
            },
            {
                'name': 'buyGoodsS',
                'desc': '购买商品',
                'group': 'HashRateShop',
                'surl': 'webapp/index.php?c=HashRateShop&a=buyGoodsS',
                'params': [
                    _common.ReqHead(),
                    ['goods_id', '', '商品唯一id'],
                    ['goods_num', '', '商品数量'],
                ],
                'response': [
                    _common.RspHead(),
                    ['goods_info', _common.HashRateGoods(), '商品信息(客户端刷新用)'],
                    ['award', _common.Award(), '奖励信息'],
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            }
        ]
