# -*- coding: utf-8 -*-

import _common

class HeroSkin(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'skinAll',
                'desc': '所有皮肤列表',
                'group': 'HeroSkin',
                'url': 'webapp/index.php?c=HeroSkin&a=skinAll',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['!skin_list', [_common.HeroSkin()], '英雄皮肤列表']
                ]
            },{
                'name': 'skinList',
                'desc': '皮肤列表',
                'group': 'HeroSkin',
                'url': 'webapp/index.php?c=HeroSkin&a=skinList',
                'params': [
                    _common.ReqHead(),
                    ['skin_id', 0, '皮肤itemId'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!skin_list', [_common.HeroSkin()], '英雄皮肤列表']
                ]
            },{
                'name': 'skinDetails',
                'desc': '皮肤详情',
                'group': 'HeroSkin',
                'url': 'webapp/index.php?c=HeroSkin&a=skinDetails',
                'params': [
                    _common.ReqHead(),
                    ['skin_uniid', 0, '皮肤uniid'],
                ],
                'response': [
                    _common.RspHead(),
                    ['data', _common.HeroSkin(), '皮肤详情']
                ]
            },{
                'name': 'mallSkinDetails',
                'desc': '皮肤详情',
                'group': 'HeroSkin',
                'url': 'webapp/index.php?c=HeroSkin&a=mallSkinDetails',
                'params': [
                    _common.ReqHead(),
                    ['skin_uniid', 0, '皮肤uniid'],
                ],
                'response': [
                    _common.RspHead(),
                    ['data', _common.HeroSkin(), '皮肤详情']
                ]
            },{
                'name': 'takeonSkinS',
                'desc': '皮肤穿戴',
                'group': 'HeroSkin',
                'surl': 'webapp/index.php?c=HeroSkin&a=takeonSkinS',
                'params': [
                    _common.ReqHead(),
                    ['hero_uniid', 0, '英雄uniid'],
                    ['skin_uniid', 0, '皮肤uniid'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'demountSkinS',
                'desc': '皮肤卸下',
                'group': 'HeroSkin',
                'surl': 'webapp/index.php?c=HeroSkin&a=demountSkinS',
                'params': [
                    _common.ReqHead(),
                    ['hero_uniid', 0, '英雄uniid'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'synSkinS',
                'desc': '皮肤合成',
                'group': 'HeroSkin',
                'surl': 'webapp/index.php?c=HeroSkin&a=synSkinS',
                'params': [
                    _common.ReqHead(),
                    ['item_id', 0, '材料itemId'],
                    ['item_num', 0, '材料itemNum'],
                ],
                'response': [
                    _common.RspHead(),
                     ['item_id', 0, '皮肤itemId'],
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },
        ]
