begin;

-- alter table t_hero add column `current_wealth` int(11) NOT NULL DEFAULT '0' COMMENT '当前财富值';
-- alter table t_hero add column `current_wealth_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '当前财富值修改时间';
alter table t_hero add column  `wealth_attr` mediumblob COMMENT '财富值属性';
alter table t_hero add column  `activate_time` int(11) NOT NULL DEFAULT '0' COMMENT '激活时间';
alter table t_hero add column  `seal_type` int(11) NOT NULL DEFAULT '0' COMMENT '0:未封存 1：已封存';
alter table t_hero add column  `unseal_time` int(11) NOT NULL DEFAULT '0' COMMENT '解封时间';
alter table t_hero drop column base_attr;

alter table t_chip add column  `wealth_attr` mediumblob COMMENT '财富值属性';


CREATE TABLE `t_ingame_mall` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `order_id` varchar(255) NOT NULL DEFAULT '' COMMENT '订单id',
  `order_type` int(11) NOT NULL DEFAULT '0' COMMENT '1:英雄 2:芯片 3:碎片 4:宝箱',
  `seller` varchar(60) NOT NULL DEFAULT '' COMMENT 'seller',
  `seller_address` varchar(60)  DEFAULT '' COMMENT 'seller_address',
  `goods_uniid` varchar(50) NOT NULL DEFAULT '0' COMMENT '物品id',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '物品itemId',
  `item_num` bigint NOT NULL DEFAULT '0' COMMENT '物品数量',
  `price` bigint NOT NULL DEFAULT '0' COMMENT '价格',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status',
  `buyer` varchar(60) NOT NULL DEFAULT '' COMMENT '购买成功者',
  `buy_ok_time` int(11) NOT NULL DEFAULT '0' COMMENT '购买成功时间',
  `last_modify_price_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后一次修改价格事件',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `seller` (`seller`),
  KEY `seller_address` (`seller_address`),
  KEY `price` (`price`),
  UNIQUE KEY `order_id` (`order_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


insert into version (version) values(2024030501);

commit;
