<?php

define('TEAMID_KEY', 'team_uuid:');
define('RANKING_KEY', 'game2006api:');
define('CIRCUIT_RANKING_KEY', 'game2006api:circuit_ranking');
define('DAILY_SELECTION_KEY', 'game2006api:daily_selection:');
define('PLANET_BUY_KEY', 'game2006api:planet_buy:');

define('LAST_SESSION_KEY', 'last_session:');
define('MATCH_CURRENT_TEAM_KEY', 'match:current_team:');
define('MATCH_OK_KEY', 'match:ok:');
define('DEC_BATTLE_TICKET', 'battle_ticket:');
define('LAST_ACTIVE_TIME', 'last_active_time:');

define('V_ITEM_BIND_GOLD', 10000);  //绑定金币
define('V_ITEM_GOLD', 10001);  //金币
define('V_ITEM_GOLDS', 10017);  //金堆
define('V_ITEM_GOLDBRICK', 10018);  //金砖
define('V_ITEM_DIAMOND', 10014);  //钻石
define('V_ITEM_EXP', 10003);  //经验
define('V_ITEM_ACTIVE', 10004);  //活跃度
define('V_ITEM_BCEG', 10010);  //BCEG
define('V_ITEM_STAR', 10011);  //星星
define('V_ITEM_PASS', 10012);  //通行证
define('V_ITEM_RESET_CARD', 10013);  //重置卡
define('V_ITEM_REVIVE_COIN', 140001);  //复活币
define('V_ITEM_CHIP_META', 100007);  //芯片升级材料
define('V_ITEM_GOLD_BULLION_1W', 10017);  //金砖1w
define('V_ITEM_GOLD_BULLION_10W', 10018);  //金砖10w
define('V_ITEM_ROOKIE_TASK_POINT', 10027);  //新人七日任务积分

define('TN_BEGIN', 8001);
define('TN_ACTIVE', 8002);
define('TN_SHOP', 8003);
define('TN_RECHARGE_UPGRADE_TIMES', 8004);
define('TN_SHARE_GAMES', 8005);
define('TN_HERO_LEVEL_UP', 8006);
define('TN_LAST_RANKING_TIME', 8009);
define('TN_RANK_STATUS', 8011);
define('TN_FIRST_TUPOP_STATUS', 8012);
define('TN_TOTAL_DIAMOND_CONSUME', 8016);//钻石消耗
define('TN_TOTAL_CEG_CONSUME', 8017);//ceg消耗
define('TN_TOTAL_LOOT_TIMES', 8018);//寶箱掉落計數
define('TN_END', 8019);


define('TN_DAILY_BEGIN', 9001);
define('TN_DAILY_LOGINS', 9001);
define('TN_DAILY_ACTIVE', 9002);
define('TN_DAILY_SHOP', 9003);
define('TN_DAILY_RECHARGE_UPGRADE_TIMES', 9004);
define('TN_DAILY_SHARE_GAMES', 9005);
define('TN_DAILY_PVE_BATTLE_TIMES', 9006);
define('TN_DAILY_PVE_GET_FRAGMENT_NUM', 9007);
define('TN_DAILY_PVP_BATTLE_TIMES', 9008);
define('TN_DAILY_PVP_GET_FRAGMENT_NUM', 9009);
define('TN_DAILY_PVE_LAST_GET_FRAGMENT_BATTLE', 9010);
define('TN_DAILY_RANK_BATTLE_TIMES', 9011);
define('TN_DAILY_END', 9011);
define('TN_DAILY_PVE_GET_HERO_FRAGMENT_NUM', 9012);
define('TN_DAILY_PVE_GET_GUN_FRAGMENT_NUM', 9013);
define('TN_DAILY_COMPLETE_TASK_NUM', 9014);
define('TN_DAILY_USED_GOLD_NUM', 9015);
define('TN_DAILY_GET_STAR_NUM', 9016);
define('TN_DAILY_BUY_PASS_STATE', 9017);
define('TN_DAILY_BUY_LEVEL_STATE', 9018);
define('TN_DAILY_RESET_HERO_LEVEL_STATE', 9019);
define('TN_DAILY_REFRESH_MISSION_TIMES', 9020);
define('TN_DAILY_GOLD_MODE_BATTLE_TIMES', 9021);
define('TN_DAILY_GATHER_GOLD', 9022);
define('TN_DAILY_BIND_GOLD', 9023);
define('TN_DAILY_DRAW_BIND_GOLD_STATE', 9024);
define('TN_DAILY_TIER_N_HERO_TIMES', 9025);

define('TN_WEEKLY_BEGIN', 10001);
define('TN_WEEKLY_ACTIVE', 10002);
define('TN_WEEKLY_SHOP', 10003);
define('TN_WEEKLY_RECHARGE_UPGRADE_TIMES', 10004);
define('TN_WEEKLY_SHARE_GAMES', 10005);
define('TN_WEEKLY_END', 10005);



define('TN_HASH_RATE_DIAMOND_CONSUME', 50001);
define('TN_HASH_RATE_GOLD_CONSUME', 50002);
define('TN_HASH_RATE_SYN_HERO_TIMES', 50003);
define('TN_HASH_RATE_SYN_CHIP_TIMES', 50004);
define('TN_HASH_RATE_SYN_SKIN_TIMES', 50005);
define('TN_HASH_RATE_UP_HERO_TIMES', 50006);
define('TN_HASH_RATE_UP_CHIP_TIMES', 50007);
define('TN_HASH_DAILY_REFRESH_TIMES', 50008);

define('SHOP_BUY_MODE_NORMAL', 0);
define('SHOP_BUY_MODE_DAILY_SELECTION', 1);
define('MARKET_BUY_MODE_NORMAL', 2);

const kHAT_Hp = 1;
const kHAT_HPRecover = 2;
const kHAT_Atk = 3;
const kHAT_Def = 4;
const kHAT_Speed = 5;
const kHAT_ShotRange = 6;
const kHAT_ShotSpeed = 7;
const kHAT_ReloadSpeed = 8;
const kHAT_FireRate = 9;
const kHAT_Volume = 10;
const kHAT_MaxHp = 11;
const kHAT_ShotView = 12;
const kHAT_View = 13;
const kHAT_ReloadTime = 14;

const kHAT_WeaponDmg = 20;
const kHAT_WeaponShotSpeed = 21;
const kHAT_WeaponReloadTime = 22;
const kHAT_WeaponExplosionRange = 23;
const kHAT_WeaponExplosionContinueTime = 24;
const kHAT_PoisoningReduction = 25;
const kHAT_RescueTime = 26;
const kHAT_DrugTime = 27;
const kHAT_DrugEfficacy = 28;
const kHAT_CarOil = 29;
const kHAT_WeaponExplosionDealyTime = 30;
const kHAT_RecoverHpAdd = 31;
const kHAT_SkillTime = 32;
const kHAT_WeaponThrowRange = 33;
const kHAT_LUCKY = 34;
const kHAT_Critical = 42;
const kHAT_CriDamage = 43;
const kHAT_Dodge = 44;
const kHAT_Ruduce = 45;
const kHAT_BrainLifePct = 47;
const kHAT_BulletSpeed = 49;
const kHAT_BulletSpeedPct = 50;

const kHAT_Begin = 0;
const kHAT_vCurrnetHealth = 1;
const kHAT_vHealth = 2;
const kHAT_pHealth = 3;
const kHAT_pHealthAm = 4;
const kHAT_pHealthRateSe = 5;
const kHAT_pHealthRateIn = 6;
const kHAT_vHealthAm = 7;
const kHAT_vHealthRateSe = 8;
const kHAT_vHealthRateIn = 9;
const kHAT_vAttack = 10;
const kHAT_pAttack = 11;
const kHAT_pAttackAm = 12;
const kHAT_pAttackRateSe = 13;
const kHAT_pAttackRateIn = 14;
const kHAT_vAttackAm = 15;
const kHAT_vAttackRateSe = 16;
const kHAT_vAttackRateIn = 17;
const kHAT_vDefend = 18;
const kHAT_pDefend = 19;
const kHAT_pDefendAm = 20;
const kHAT_pDefendRateSe = 21;
const kHAT_pDefendRateIn = 22;
const kHAT_vBlock = 23;
const kHAT_pBlock = 24;
const kHAT_pBlockAm = 25;
const kHAT_pBlockRateSe = 26;
const kHAT_pBlockRateIn = 27;
const kHAT_vBloPro = 28;
const kHAT_vBloDef = 29;
const kHAT_vCrit = 30;
const kHAT_pCrit = 31;
const kHAT_pCritAm = 32;
const kHAT_pCritRateSe = 33;
const kHAT_pCritRateIn = 34;
const kHAT_vCriPro = 35;
const kHAT_vCriBon = 36;
const kHAT_vSpeed = 37;
const kHAT_vSpeedRateIn = 38;
const kHAT_vHaste = 39;
const kHAT_vDrain = 40;
const kHAT_vTenacity = 41;
const kHAT_vDamageTakenRateIn = 42;
const kHAT_vDamageDealtRateIn = 43;
const kHAT_vNormalDamageTakenRateIn = 44;
const kHAT_vNormalDamageDealtRateIn = 45;
const kHAT_vSkillDamageTakenRateIn = 46;
const kHAT_vSkillDamageDealtRateIn = 47;
const kHAT_vHealthGainRateIn = 48;
const kHAT_vHealDealtRateIn = 49;

const kHAT_Hold = 55;
const kHAT_End = 56;

const kHAT_ABS_VAL = 1;
const kHAT_RATE_VAL = 2;

const kWantedLockType = 3;

const kMaxHeroUpLevelNum = 2;
const kMaxHeroUpQualityNum = 2;
const kMaxEmojiNum = 6;

const GAME_ID = 2006;
