<?php

namespace models;

use mt;
use phpcommon\SqlHelper;

class LuckySymbolRecord extends BaseModel {

    public static function find($roomUuid)
    {
        $row = SqlHelper::ormSelectOne(
            myself()->_getSelfMysql(),
            't_lucky_symbol_record',
            array(
                'account_id' => myself()->_getAccountId(),
                'room_uuid' => $roomUuid,
            )
        );
        return $row;
    }

    public static function add($roomUuid)
    {
        SqlHelper::upsert
            (myself()->_getSelfMysql(),
             't_lucky_symbol_record',
             array(
                 'account_id' => myself()->_getAccountId(),
                 'room_uuid' => $roomUuid,
             ),
             array(
             ),
             array(
                 'account_id' => myself()->_getAccountId(),
                 'room_uuid' => $roomUuid,
                 'createtime' => myself()->_getNowTime(),
                 'modifytime' => myself()->_getNowTime(),
             )
            );
    }

}
