<?php

namespace mt;

use phpcommon;

class AchievementsCycle {

    public static function find($id){
        return getXVal(self::getMetaList(), $id);
    }
    public static function getCurrentPeriod()
    {
        foreach (self::getMetaList() as $meta) {
            if (myself()->_getNowTime() >= strtotime($meta['obtain_start_time']) &&
                myself()->_getNowTime() <= strtotime($meta['income_end_time'])) {
                return $meta;
            }
        }
        return array();
    }

    public static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('AchievementsCycle@AchievementsCycle.php');
        }
        return self::$metaList;
    }

    protected static $metaList;

}
