<?php

namespace mt;

use phpcommon;

class Bigwheel
{

    public static function get($id)
    {
        return getXVal(self::getMetaList(), $id);
    }

    protected static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('Bigwheel@Bigwheel.php');
        }
        return self::$metaList;
    }

    public static function traverseMeta($cb)
    {
        foreach (self::getMetaList() as $meta) {
            if (!$cb($meta)) {
                break;
            }
        }
    }

    protected static $metaList;
}
