<?php

namespace mt;

use phpcommon;

class CircuitTask {

    const BATTLE_TIMES_END = 1;
    const COMPLETE_HASH_TASK_END = 2;
    const LOGIN_TIMES_END = 3;

    public static function getListBySeason($season){
        $metas = array();
        foreach (self::getMetaList() as $meta){
            if ($meta['season'] == $season){
                array_push($metas,$meta);
            }
        }
        return $metas;
    }

    protected static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('circuitTask@circuitTask.php');
        }
        return self::$metaList;
    }

    protected static $metaList;

}
