<?php

namespace mt;

use phpcommon;

class RookieTask {

    const  BATTLE_TIMES_COND = 1;               //进行X场比赛
    const  PIGGY_BANK_GOLD_COND = 3;            //存钱罐累积金币
    const  PIGGY_BANK_OPEN_TIMES_COND = 4;      //砸开X次存钱罐
    const  PIGGY_BANK_DRAW_TIMES_COND = 5;      //取出X次存钱罐
    const  PIGGY_BANK_OPEN_BOX_TIMES_COND = 6;  //存钱罐金币开宝箱次数
    const  HASH_TASK_COMMIT_TIMES_COND = 7;     //算力任务完成次数
    const  TOTAL_HASH_RATE_VALUE_COND = 8;      //算力累积达到X
    const  HASH_RATE_BUYS_COND = 9;             //使用算力购买x次道具
    const  HASH_TASK_REFRESH_TIMES_COND = 10;   //刷新x次算力任务
    const  HASH_RATE_DRAW_REWARD_TIMES_COND = 11;//领取x次算力累积奖励
    const  SYN_CHIP_TIMES_COND = 12;            //合成x次芯片
    const  SALVAGE_CHIP_TIMES_COND = 13;        //分解x次芯片
    const  OPEN_CHIP_SLOT_TIMES_COND = 14;      //开启芯片x槽位
    const  EMBED_CHIP_COND = 15;                //镶嵌x个芯片
    const  ADD_FRIENDS_COND = 16;               //添加x名好友
    const  AND_FRIENDS_BATTLE_COND = 17;        //和好友完成x场战斗
    const  UP_HERO_TIMES_COND = 18;             //进阶x次英雄
    const  SYN_HERO_TIMES_COND = 19;            //合成x次英雄
    const  USE_BATTLE_MIXTURES_COND = 20;       //使用一次战斗药剂
    const  USE_LUCKY_CHARM_COND = 21;           //使用一次幸运符

    const  TOTAL_COMMIT_TASK_TIMES_COND = 101;  //累积任务积分达到X

    public static function getCustomDayMetaList($day=0){
        $metaList = array();
        foreach (self::getMetaList() as $meta) {
            if ($meta['task_day'] == $day) {
                array_push($metaList, $meta);
            }
        }
        return $metaList;
    }

    public static function allList(){
        $metaList = array();
        foreach (self::getMetaList() as $meta) {
            if ($meta['task_day'] > 0) {
                array_push($metaList, $meta);
            }
        }
        return $metaList;
    }

    public static function find($id){
        return getXVal(self::getMetaList(), $id);
    }

    protected static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('rookietask@rookietask.php');
        }
        return self::$metaList;
    }

    protected static $metaList;

}
